package config

import "testing"

type _config struct {
	Debug bool
}

func (_ _config) Invalidate() error {
	return nil
}

func TestInvalidate(t *testing.T) {
	tests := []struct {
		config  IConfig
		wantErr bool
	}{
		{
			config:  nil,
			wantErr: true,
		},
		{
			config: _config{
				Debug: false,
			},
			wantErr: false,
		},
		{
			config: &_config{
				Debug: false,
			},
			wantErr: false,
		},
	}

	for _, tt := range tests {
		t.Run("config.Invalidate", func(t *testing.T) {
			if err := Invalidate(tt.config); (err != nil) != tt.wantErr {
				t.Errorf("Invalidate() error = %v, wantErr %v", err, tt.wantErr)
			}
		})
	}
}
