package service

import (
	"context"
	"github.com/ClickHouse/clickhouse-go/v2/lib/driver"
)

type Clickhouse interface {
	Service

	Ping(context.Context) error
	Exec(context.Context, string, ...any) error
	Query(context.Context, string, ...any) (driver.Rows, error)
	Batch(context.Context, string, bool) (driver.Batch, error)
}
